Name:	pympd
Version: 0.08.1
Release: %mkrel 3

Summary: Pymp'd is a frontend for mpd daemon for playing and managing music
URL:	 http://pympd.sourceforge.net/
Source:  %{name}-%{version}.tar.bz2
Source1: %{name}.png
Patch:   %{name}-%{version}.patch.gz
License: GPL
Group:   Sound
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: libpython-devel >= 2.4
BuildRequires: python >= 2.4
Requires: python >= 2.4
Requires: pygtk2.0 >= 2.6

      

%description
Pymp'd is a frontend for mpd in the style of rhythmbox and itunes, written in python, with pygtk.
Pymp'd itself is not a music player, but is actually a frontend to mpd, a daemon for playing and managing music.


%prep
%setup -q -n %{name}-%{version}
%patch -p1

%build

%make 

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install --root=%{buildroot} 
rm -f %{buildroot}%{py_platsitedir}/*.egg-info
rm -f %{buildroot}%{_datadir}/pixmaps/*.svg

install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Name=pympd
Comment=pyGTK+ Frontend for MPD
TryExec=pympd
Exec=pympd
Icon=%{name}.png
Categories=Application;AudioVideo;Audio;Player;X-MandrivaLinux-Multimedia-Sound
Terminal=false
EOF



%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus


%files
%defattr(-,root,root)
%ghost %{_datadir}/%{name}/pixmaps
/*


%changelog
* Wed Aug 14 2013 billybot <billybot> 0.08.1-3pclos2013
- update

* Fri Sep 03 2010 Texstar <texstar at gmail.com> 0.08.1-2pclos2010
- rebuild for python 2.6.6

* Wed Sep 12 2008 Slick50 <slick50@linuxgator.org> 0.08.1-1pclos2007
- initial build
